[Kde-imaging] [Bug 254434] New: kipiplugins-1.5.0 fail to build without handbook ("wrong doc dir specified" error)

jms jmsalvat at rentahouse.org
Sun Oct 17 08:22:03 CEST 2010


           Summary: kipiplugins-1.5.0 fail to build without handbook
                    ("wrong doc dir specified" error)
           Product: kipiplugins
           Version: 1.5.0
          Platform: Gentoo Packages
        OS/Version: Linux
            Status: UNCONFIRMED
          Severity: normal
          Priority: NOR
         Component: general
        AssignedTo: kde-imaging at kde.org
        ReportedBy: jmsalvat at rentahouse.org

Version:           1.5.0 (using KDE 4.5.2) 
OS:                Linux

 * ERROR: media-plugins/kipi-plugins-1.5.0 failed:
 *   wrong doc dir specified
 * Call stack:
 *     ebuild.sh, line   56:  Called src_prepare
 *   environment, line 3869:  Called kde4-base_src_prepare
 *   environment, line 3004:  Called enable_selected_doc_linguas
 *   environment, line 1586:  Called die
 * The specific snippet of code:
 *           [[ -d "${handbookdir}" ]] || die 'wrong doc dir specified';

Reproducible: Didn't try

Steps to Reproduce:
compile kipiplugins-1.5.0 without handbook

Actual Results:  
can't compile and fail with wrong doc dir specified

Expected Results:  

compiling kipiplugins-1.5.0 with "handbook" works fine
without  "handbook" won't compile.
I think this is not gentoo specifique but an error in
[[ -d "${handbookdir}" ]] || die 'wrong doc dir specified';

should  handbook be mandatory?

details(log ,environement) of this bug as well in
gentoo bug 341283

Configure bugmail: https://bugs.kde.org/userprefs.cgi?tab=email
------- You are receiving this mail because: -------
You are the assignee for the bug.

More information about the Kde-imaging mailing list